{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.ENTITYOPTIONOPRATIONVIEW"
  },
  "caption" : "实体选项操作视图",
  "codeName" : "IBIZBOOKOptionView_layout",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKOptionView_layout.json",
  "height" : 800,
  "name" : "IBIZBOOKOptionView_layout",
  "openMode" : "POPUPMODAL",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "OptionView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "form",
      "name" : "FORM",
      "paramType" : "CTRL"
    }, {
      "name" : "P2K",
      "paramType" : "VALUE",
      "value" : 0
    } ]
  } ],
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup88"
  },
  "getPSControls" : [ {
    "codeName" : "Main",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/Main.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
    "logicName" : "主编辑表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "选项表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;SAVE;REMOVE",
      "logicTag" : "form",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_form",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "ibizbookid",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "id" : "ibizbookname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "author",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "AUTHOR",
        "codeName" : "Author"
      }
    }, {
      "id" : "press",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "PRESS",
        "codeName" : "Press"
      }
    }, {
      "id" : "price",
      "dataType" : 7,
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      }
    }, {
      "id" : "type",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "booknumber",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "BOOKNUMBER",
        "codeName" : "Booknumber"
      }
    }, {
      "id" : "sailstate",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      }
    }, {
      "id" : "lendouttime",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      }
    }, {
      "id" : "returntime",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "RETURNTIME",
        "codeName" : "Returntime"
      }
    }, {
      "id" : "tag",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "TAG",
        "codeName" : "Tag"
      }
    }, {
      "id" : "tag1",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "TAG",
        "codeName" : "Tag"
      }
    }, {
      "id" : "icon",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "ICON",
        "codeName" : "Icon"
      }
    }, {
      "id" : "subtext",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SUBTEXT",
        "codeName" : "Subtext"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMPAGE.FORMPAGE1"
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.GROUPPANEL.GROUP1"
        },
        "caption" : "图书基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZBOOKID"
          },
          "caption" : "图书标识",
          "codeName" : "ibizbookid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "ibizbookid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZBOOKID",
            "codeName" : "IBIZBOOKId"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "ibizbookid"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZBOOKNAME"
          },
          "caption" : "图书名称",
          "codeName" : "ibizbookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "ibizbookname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZBOOKNAME",
            "codeName" : "IBIZBOOKName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "ibizbookname"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.AUTHOR"
          },
          "caption" : "图书作者",
          "codeName" : "author",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "author",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "AUTHOR",
            "codeName" : "Author"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "author"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.PRESS"
          },
          "caption" : "图书出版社",
          "codeName" : "press",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "press",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "PRESS",
            "codeName" : "Press"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "press"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.PRICE"
          },
          "caption" : "图书价格",
          "codeName" : "price",
          "dataType" : 7,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "price",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "PRICE",
            "codeName" : "Price"
          },
          "getPSEditor" : {
            "editorType" : "NUMBER",
            "name" : "price",
            "precision" : 2
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TYPE"
          },
          "caption" : "图书类型",
          "codeName" : "type",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "type",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "type",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.BOOKNUMBER"
          },
          "caption" : "图书数量",
          "codeName" : "booknumber",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "booknumber",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "BOOKNUMBER",
            "codeName" : "Booknumber"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "booknumber"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.SAILSTATE"
          },
          "caption" : "图书销售状态",
          "codeName" : "sailstate",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "sailstate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SAILSTATE",
            "codeName" : "Sailstate"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "sailstate",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.LENDOUTTIME"
          },
          "caption" : "借出日期",
          "codeName" : "lendouttime",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "lendouttime",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "LENDOUTTIME",
            "codeName" : "Lendouttime"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "lendouttime"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.RETURNTIME"
          },
          "caption" : "归还日期",
          "codeName" : "returntime",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "returntime",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "RETURNTIME",
            "codeName" : "Returntime"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "returntime"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TAG"
          },
          "caption" : "标签",
          "codeName" : "tag",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "tag",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TAG",
            "codeName" : "Tag"
          },
          "getPSEditor" : {
            "editorType" : "MDROPDOWNLIST",
            "name" : "tag",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Booktag.json"
            },
            "singleSelect" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TAG"
          },
          "caption" : "标签",
          "codeName" : "tag1",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "tag1",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TAG",
            "codeName" : "Tag"
          },
          "getPSEditor" : {
            "editorType" : "CHECKBOXLIST",
            "name" : "tag1",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Booktag.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMITEM.ICON"
          },
          "caption" : "图书封面",
          "codeName" : "icon",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 200.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "icon",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ICON",
            "codeName" : "Icon"
          },
          "getPSEditor" : {
            "editorHeight" : 200.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 1048576,
            "name" : "icon",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colLGOffset" : 1,
            "colMD" : 8,
            "colMDOffset" : 1,
            "colSM" : 8,
            "colSMOffset" : 1,
            "colXS" : 8,
            "colXSOffset" : 1,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.SUBTEXT"
          },
          "caption" : "图书描述",
          "codeName" : "subtext",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 200.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "subtext",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SUBTEXT",
            "codeName" : "Subtext"
          },
          "getPSEditor" : {
            "editorHeight" : 200.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 100,
            "name" : "subtext",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 15,
            "colMD" : 15,
            "colSM" : 15,
            "colXS" : 15,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMPAGE.FORMPAGE2"
      },
      "caption" : "其它",
      "codeName" : "formpage2",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage2",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.GROUPPANEL.GROUP2"
        },
        "caption" : "操作信息",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEMAN"
          },
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEDATE"
          },
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN"
          },
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE"
          },
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updatedate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "noTabHeader" : false,
    "name" : "form",
    "modelid" : "6cd11a010cbbb4d2bad5e1aad7e8020a",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "OptionView_layout",
  "getPSDEViewId" : "FF5AF5DB-30C7-4C6A-8678-638BCC378642",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "选项操作视图",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPVIEWUIACTION",
      "name" : "layoutpanel_button_calluilogic2_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "layoutpanel_button_calluilogic2"
      }
    }, {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPVIEWUIACTION",
      "name" : "layoutpanel_button_calluilogic1_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "layoutpanel_button_calluilogic1"
      }
    } ],
    "getPSAppViewUIActions" : [ {
      "name" : "layoutpanel_button_calluilogic2",
      "getPSUIAction" : {
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        },
        "modelref" : true,
        "id" : "panel_Layoutpanel_button_calluilogic2_click"
      },
      "xDataControlName" : "layoutpanel"
    }, {
      "name" : "layoutpanel_button_calluilogic1",
      "getPSUIAction" : {
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        },
        "modelref" : true,
        "id" : "panel_Layoutpanel_button_calluilogic1_click"
      },
      "xDataControlName" : "layoutpanel"
    } ],
    "getPSControlParam" : { },
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "滚动条容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_scroll1",
      "getPSLayout" : {
        "layout" : "BORDER"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_main1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "CENTER"
        },
        "getPSPanelItems" : [ {
          "caption" : "表单",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "form",
          "getPSLayoutPos" : {
            "heightMode" : "FULL",
            "layout" : "BORDER",
            "layoutPos" : "CENTER",
            "widthMode" : "FULL"
          },
          "showCaption" : true
        } ],
        "showCaption" : true
      }, {
        "caption" : "面板容器",
        "contentHeight" : 64.0,
        "height" : 64.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_bottom1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "height" : 64,
          "heightMode" : "PX",
          "layout" : "BORDER",
          "layoutPos" : "SOUTH"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "align" : "flex-end",
            "dir" : "row",
            "layout" : "FLEX",
            "vAlign" : "center"
          },
          "getPSLayoutPos" : {
            "heightMode" : "FULL",
            "layout" : "BORDER",
            "layoutPos" : "CENTER",
            "spacingBottom" : "INNERMEDIUM",
            "spacingTop" : "INNERMEDIUM",
            "widthMode" : "FULL"
          },
          "getPSPanelItems" : [ {
            "actionType" : "UIACTION",
            "buttonHeight" : 32.0,
            "buttonStyle" : "PRIMARY",
            "buttonWidth" : 60.0,
            "caption" : "确认",
            "contentHeight" : 32.0,
            "contentWidth" : 60.0,
            "height" : 32.0,
            "itemStyle" : "PRIMARY",
            "itemType" : "BUTTON",
            "name" : "button_calluilogic2",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "layoutpanel_button_calluilogic2"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "height" : 32,
              "heightMode" : "PX",
              "layout" : "FLEX",
              "spacingRight" : "OUTERSMALL",
              "width" : 60,
              "widthMode" : "PX"
            },
            "getPSUIAction" : {
              "caption" : "确认",
              "codeName" : "panel_Layoutpanel_button_calluilogic2_click",
              "fullCodeName" : "panel_Layoutpanel_button_calluilogic2_click",
              "name" : "确认",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
              },
              "predefinedType" : "DATA_SAVECHANGES",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "panel_Layoutpanel_button_calluilogic2_click",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "确认",
            "width" : 60.0,
            "showCaption" : true
          }, {
            "actionType" : "UIACTION",
            "buttonHeight" : 32.0,
            "buttonStyle" : "DEFAULT",
            "buttonWidth" : 60.0,
            "caption" : "取消",
            "contentHeight" : 32.0,
            "contentWidth" : 60.0,
            "height" : 32.0,
            "itemStyle" : "DEFAULT",
            "itemType" : "BUTTON",
            "name" : "button_calluilogic1",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "layoutpanel_button_calluilogic1"
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "height" : 32,
              "heightMode" : "PX",
              "layout" : "FLEX",
              "width" : 60,
              "widthMode" : "PX"
            },
            "getPSUIAction" : {
              "caption" : "取消",
              "codeName" : "panel_Layoutpanel_button_calluilogic1_click",
              "fullCodeName" : "panel_Layoutpanel_button_calluilogic1_click",
              "name" : "取消",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
              },
              "predefinedType" : "DATA_CANCELCHANGES",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "panel_Layoutpanel_button_calluilogic1_click",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "取消",
            "width" : 60.0,
            "showCaption" : true
          } ]
        } ],
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "11421FAF-C956-464C-82B9-FC260FF725A7",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "title" : "实体选项操作视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZBOOK.OPTIONVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEOPTVIEW",
  "width" : 1000,
  "xDataControlName" : "form",
  "enableDP" : true,
  "showCaptionBar" : false,
  "showDataInfoBar" : true,
  "modelid" : "685e4c22b23e1ab3b994e66c0fb26e0d",
  "modeltype" : "PSAPPDEVIEW"
}